Python 2.2.1 compatible with Tcl/Tk 8.4?

Mike C. Fletcher mcfletch at rogers.com
Sat Sep 21 22:24:36 CEST 2002


Associated query:
	Anyone compiled TOGL for TCL/Tk 8.4?  I don't see anything on the TCL 
newsgroup or the TOGL discussion lists, and I have one error report that 
it doesn't work on a Linux machine.  TOGL appears to use the tkint file 
from TK, so I'm guessing it's minimally version-dependent, though it 
should, if I understand correctly, build with 8.0.5+.

Anyway, if anyone has built it, and has diffs, I'd like to hear about it 
so I can look into making PyOpenGL compatible with 8.4.

Thanks all,
Mike

Martin v. Loewis wrote:
> Gregor Lingl <glingl at aon.at> writes:
> 
> 
>>1. When working with Python 2.2.1, are there any advantages of
>>using Tcl/Tk 8.4  over the version which comes with Python2.2.1 for Window?
> 
> 
> I don't know; I guess you should refer to the Tcl release announcement
> for details.
> 
> 
>>2. Which steps would I have to perform, to change to the new version?
> 
> 
> You need to recompile _tkinter.pyd. See PCbuild/readme.txt for
> details.
> 
> Regards,
> Martin

-- 
_______________________________________
   Mike C. Fletcher
   Designer, VR Plumber, Coder
   http://members.rogers.com/mcfletch/






More information about the Python-list mailing list